Stampfactory
Dokumentation
Dienstplanung

Planungsübersicht

Coverage, open shifts and staffing per unit of the planning scope in one call

GET
/roster_planning/overview/{start}/{end}
AuthentifizierungBearer <token>

Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).

Ort: header

Pfadparameter

start*string
end*string

Query-Parameter

unit_ids[]?array<>
Formatuuid

Response-Body

application/json

application/json

application/json

curl -X GET "https://example.com/roster_planning/overview/string/string"
{  "data": [    {      "unit": {        "id": "string",        "name": "string",        "parent_id": "string"      },      "coverage": [        {          "property1": null,          "property2": null        }      ],      "assigned_count": 0,      "open_count": 0,      "open_shifts": [        {          "id": "string",          "roster_id": "string",          "date": "string",          "shift_id": "string",          "shift_name": "string"        }      ]    }  ]}